summaryrefslogtreecommitdiff
path: root/dummy
diff options
context:
space:
mode:
authorOla Nordmann <olapc@yahoo.no>2001-10-01 11:59:59 +0000
committerOla Nordmann <olapc@yahoo.no>2001-10-01 11:59:59 +0000
commitc98cf17903d26cf28001386e60ed908a1cbcb665 (patch)
tree416f476361c1ae0c74fe6ebf35de583d0b3a2473 /dummy
parent3095d2c801e948b90fb34051fb7aff6ae0f949bb (diff)
downloadjava-common-c98cf17903d26cf28001386e60ed908a1cbcb665.tar.gz
Moved java-virtual-machine-dummy to java-common.
Diffstat (limited to 'dummy')
-rw-r--r--dummy/virtual-machine/java-vm53
-rw-r--r--dummy/virtual-machine/java-vm.132
-rw-r--r--dummy/virtual-machine/java-vm.conf-jdk3
-rw-r--r--dummy/virtual-machine/java-vm.conf-kaffe2
4 files changed, 90 insertions, 0 deletions
diff --git a/dummy/virtual-machine/java-vm b/dummy/virtual-machine/java-vm
new file mode 100644
index 0000000..c6cf344
--- /dev/null
+++ b/dummy/virtual-machine/java-vm
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+repository=/usr/share/java/repository
+conf=/etc/java/java-vm.conf
+
+java=`head -1 $conf`
+
+if [ ! -n "$java" ]
+then
+ echo "Cannot find a Java virtual machine in $conf"
+ exit 1
+fi
+
+defclasspath=`head -2 $conf | tail -1`
+
+if [ -n "$defclasspath" ]
+then
+ MYCLASSPATH=${defclasspath}
+fi
+
+compliant=`head -3 $conf | tail -1`
+
+if [ "xx$compliant" != "xxCOMPLIANT" ]
+then
+ if [ -n "$MYCLASSPATH" ]
+ then
+ MYCLASSPATH=${MYCLASSPATH}:$repository
+ else
+ MYCLASSPATH=$repository
+ fi
+fi
+
+if [ -n "$CLASSPATH" ]
+then
+ if [ -n "$MYCLASSPATH" ]
+ then
+ MYCLASSPATH=${MYCLASSPATH}:${CLASSPATH}
+ else
+ MYCLASSPATH=${CLASSPATH}
+ fi
+fi
+
+if [ -n "$MYCLASSPATH" ]
+then
+ CLASSPATH=$MYCLASSPATH
+ export CLASSPATH
+ #echo $CLASSPATH
+fi
+
+exec "$java" "$@"
+
+echo "Cannot run $java (found in $conf)"
+exit 1
diff --git a/dummy/virtual-machine/java-vm.1 b/dummy/virtual-machine/java-vm.1
new file mode 100644
index 0000000..c91ab8e
--- /dev/null
+++ b/dummy/virtual-machine/java-vm.1
@@ -0,0 +1,32 @@
+.\" -*- nroff -*-
+.TH JAVA-VM "1" "November 1999" "DEBIAN"
+.SH NAME
+java-vm \- A dummy Java virtual machine for the Debian Java policy
+.SH SYNOPSIS
+.B java-vm
+.I "[options] files ..."
+.SH DESCRIPTION
+This manual page documents briefly the
+.BR java-vm
+command.
+.PP
+.B java-vm
+is a wrapper around the real Java virtual machine. It sets the
+CLASSPATH according to the Debian Java policy (if the virtual machine
+is not already compliant) and can also add other mandatory directories
+to the CLASSPATH. This is configured in /etc/java-vm (see examples
+hereunder).
+.PP
+Your own CLASSPATH will be saved and appended.
+.SH OPTIONS
+They are passed uninterpreted to the virtual machine.
+.SH FILES
+.TP
+.I /etc/java-vm
+java-vm configuration file.
+.SH "SEE ALSO"
+/usr/share/doc/java-virtual-machine-dummy
+and specially the "examples" directory.
+.SH AUTHOR
+This manual page was written by Stephane Bortzmeyer <bortzmeyer@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
diff --git a/dummy/virtual-machine/java-vm.conf-jdk b/dummy/virtual-machine/java-vm.conf-jdk
new file mode 100644
index 0000000..b6e2b20
--- /dev/null
+++ b/dummy/virtual-machine/java-vm.conf-jdk
@@ -0,0 +1,3 @@
+/usr/lib/jdk1.1/bin/java
+
+COMPLIANT
diff --git a/dummy/virtual-machine/java-vm.conf-kaffe b/dummy/virtual-machine/java-vm.conf-kaffe
new file mode 100644
index 0000000..1c92151
--- /dev/null
+++ b/dummy/virtual-machine/java-vm.conf-kaffe
@@ -0,0 +1,2 @@
+/usr/bin/kaffe
+